#include <avr/io.h>
#include "global.h"
#include "adc.h"
#include "i2csw.h"
//#include "beep.h"

void delay(u16 x)
{
  u16 i;
  for (i=0;i<x;i++);
}

void beep(u16 d, u16 n)
{
   for(;n;n--)
   {
    delay(d);
    cbi(PORTB,3);
	delay(d);
	sbi(PORTB,3);
   }
}


int main(void)
{
  u16 i;
  u16 temp1,temp2;
  u08 readDelay = 20;
  
  sbi(DDRB,6);
  sbi(DDRB,3);
  
  cbi(PORTB,6);
  
  ADC_Init();
  i2cInit();
  TCCR1B = 11;  // CK/1024 = 976,5625Hz
  if ((i2ceepromReadByte(EEPROM_I2C_ADDR, 0) == 0xff))		// wenn wir sampeln drfen
  {
//	sbi(PORTB,6);
    beep(80,4000);
	readDelay = i2ceepromReadByte(EEPROM_I2C_ADDR, 1);
    for (i=4;i<MAX_EEPROM_ADDR;i+=4)					// sampeln
    {
	    while(TCNT1 < readDelay);
		temp1 = (ACHSE1 + ACHSE1 + ACHSE1 + ACHSE1)/4;
		temp2 = (ACHSE2 + ACHSE2 + ACHSE2 + ACHSE2)/4;
	    TCNT1 = 0;
	    i2ceepromWriteWord(EEPROM_I2C_ADDR, i, temp1);
		delay(500);
	    i2ceepromWriteWord(EEPROM_I2C_ADDR, i+2, temp2);
		delay(500);
    }
    i2ceepromWriteByte(EEPROM_I2C_ADDR, 0, 0x00);		// damit daten nicht berschrieben werden
	delay(2000);
//	cbi(PORTB,6);
  } 
  
  for (EVER)											// sampeln fertig, krach machen damit wir gefunden werden
  {
    beep(50,1000);
    beep(60,1000);
  }
  return 0;
}
